# Mark conflicted paths as resolved.
[Client working copy management]

## Functions
svn_error_t * | svn_client_resolved (const char *path, svn_boolean_t recursive, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Similar to svn_client_resolve(), but without automatic conflict resolution support.
svn_error_t * | svn_client_resolve (const char *path, svn_depth_t depth, svn_wc_conflict_choice_t conflict_choice, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Perform automatic conflict resolution on a working copy path.

## Function Documentation

svn_error_t* svn_client_resolve | ( | const char * | path,
|  | svn_depth_t | depth,
|  | svn_wc_conflict_choice_t | conflict_choice,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool |
| ) |  |  |

Perform automatic conflict resolution on a working copy path.

If depth is svn_depth_empty, act only on path; if svn_depth_files, resolve path and its conflicted file children (if any); if svn_depth_immediates, resolve path and all its immediate conflicted children (both files and directories, if any); if svn_depth_infinity, resolve path and every conflicted file or directory anywhere beneath it. Note that this operation will try to lock the parent directory of path in order to be able to resolve tree-conflicts on path.

If conflict_choice is svn_wc_conflict_choose_base, resolve the conflict with the old file contents; if svn_wc_conflict_choose_mine_full, use the original working contents; if svn_wc_conflict_choose_theirs_full, the new contents; and if svn_wc_conflict_choose_merged, don't change the contents at all, just remove the conflict status, which is the pre-1.5 behavior.

svn_wc_conflict_choose_theirs_conflict and svn_wc_conflict_choose_mine_conflict are not legal for binary files or properties.

If path is not in a state of conflict to begin with, do nothing. If path's conflict state is removed and ctx->notify_func2 is non-NULL, call ctx->notify_func2 with ctx->notify_baton2 and path.

Since:
  New in 1.5.

svn_error_t* svn_client_resolved | ( | const char * | path,
|  | svn_boolean_t | recursive,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool |
| ) |  |  |

Similar to svn_client_resolve(), but without automatic conflict resolution support.

Deprecated:
  Provided for backward compatibility with the 1.4 API. Use svn_client_resolve() with conflict_choice == `svn_wc_conflict_choose_merged` instead.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines